﻿using System;
using System.Web.UI.WebControls;
using System.Data;
using Telerik.Web.UI;
using System.IO;
using System.Data.Common;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        RadGrid1.ItemDataBound += new GridItemEventHandler(RadGrid1_ItemDataBound);
    }

    void RadGrid1_ItemDataBound(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridEditableItem && e.Item.IsInEditMode)
        {
            RadUpload upload = e.Item.FindControl("RadUpload1") as RadUpload;
            ClientScript.RegisterClientScriptBlock(Page.GetType(), "Upload", string.Format("window['UploadId'] = '{0}';", upload.ClientID), true);
        }
    }

    protected void Click(object sender, EventArgs e)
    {

    }

    public void RadListBox1_Load(object sender, EventArgs e)
    {
        (sender as RadListBox).Items[0].Controls.Add(new TextBox()
        {
            ID = "Test",
        });
    }
    
    protected void RadGrid1_InsertCommand(object source, Telerik.Web.UI.GridCommandEventArgs e)
    {
        RadUpload upload = e.Item.FindControl("RadUpload1") as RadUpload;
        if (upload.UploadedFiles.Count > 0)
        {
            UploadedFile file = upload.UploadedFiles[0];
            SqlDataSource1.InsertParameters.Add("ImageName", file.GetName());
        }
    }

}
